PowerPoint7TextInternal::Ruler Struct Reference

Internal: a ruler of a PowerPoint7Text. More...

## Public Member Functions

| Ruler ()
| constructor
void | updateParagraph (int level)
| returns a paragraph corresponding to a level

## Public Attributes

MWAWParagraph | m_paragraph
| the paragraph
int | m_margins [10]
| the left/first margins * 5 (0: normal, 1-4: level)

## Detailed Description

Internal: a ruler of a PowerPoint7Text.

## Constructor & Destructor Documentation

## Ruler()

PowerPoint7TextInternal::Ruler::Ruler | ( |  | ) |

inline

constructor

## Member Function Documentation

## updateParagraph()

void PowerPoint7TextInternal::Ruler::updateParagraph | ( | int | level | ) |

inline

returns a paragraph corresponding to a level

## Member Data Documentation

## m_margins

int PowerPoint7TextInternal::Ruler::m_margins[10]

the left/first margins * 5 (0: normal, 1-4: level)

Referenced by PowerPoint7Text::readRuler(), Ruler(), and updateParagraph().

## m_paragraph

MWAWParagraph PowerPoint7TextInternal::Ruler::m_paragraph

the paragraph

Referenced by PowerPoint7Text::readRulerTabs(), Ruler(), and updateParagraph().

The documentation for this struct was generated from the following file:

- PowerPoint7Text.cxx